package com.sqx.modules.bl.commission.ywy.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sqx.modules.bl.commission.ywy.entity.YwyApply;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface YwyApplyDao extends BaseMapper<YwyApply> {
    IPage<YwyApply> findPage(Page<YwyApply> page, @Param("params") YwyApply ywyApply);
    int add(YwyApply ywyApply);
    int update(YwyApply ywyApply);
    int approve(YwyApply ywyApply);
    IPage<YwyApply> findUserPage(Page<YwyApply> page, @Param("params") YwyApply ywyApply);
}